# List events

`GET /events`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `page` (query, integer, optional) (example: `1`)
- `perPage` (query, integer, optional) (example: `1`)
- `sort` (query, string, optional) (example: `-createdAt`)
- `status` (query, string, optional) (example: `published`)

## Responses

### 200 — Returns the owner's events

- `data` (array)
  Items:
    - `object` (string)
    - `id` (string)
    - `slug` (string)
    - `name` (string)
    - `description` (string)
    - `status` (string)
    - `visibility` (string)
    - `accessMode` (string)
    - `timezone` (string)
    - `locationSetting` (string)
    - `featuredVideoUrl` (any)
    - `bookText` (string)
    - `tags` (array)
    - `registrationLimit` (integer)
    - `currency` (string)
    - `featuredImageUrl` (any)
    - `images` (array)
    - `theme` (string)
    - `seatsEventKey` (any)
    - `likeCount` (integer)
    - `url` (string)
    - `createdAt` (string)
    - `updatedAt` (string)
- `object` (string)
- `page` (integer)
- `totalPages` (integer)
- `perPage` (integer)
- `totalCount` (integer)
- `hasNextPage` (boolean)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/list-events
